unit Box;

{$mode objfpc}{$H+}
{$I winzitat_ver.inc}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ComCtrls;

type

  { TForm3 }

  TForm3 = class(TForm)
     Button1: TButton;
     Label1: TLabel;
     Label2: TLabel;
     Label3: TLabel;
     Label4: TLabel;
     TrackBar1: TTrackBar;
     procedure Button1Click(Sender: TObject);
     procedure FormKeyPress(Sender: TObject; var Key: char);
     procedure FormShow(Sender: TObject);
     procedure TrackBar1Change(Sender: TObject);
     procedure TrackBar1Exit(Sender: TObject);
  private
     { private declarations }
  public
     var min, max, wert, merke: longint;
  end;

var
   Form3: TForm3;

implementation

{$R *.lfm}

{ Form3 }

procedure TForm3.Button1Click(Sender: TObject);
begin
   Close;
end;

procedure TForm3.FormKeyPress(Sender: TObject; var Key: char);
begin
   if Key = #27 then begin
      wert:=merke; Close;
   end;
end;

procedure TForm3.FormShow(Sender: TObject);
begin
   TrackBar1.Min:=min;
   TrackBar1.Max:=max;
   TrackBar1.Position:=wert;
   merke:=wert;
   Label1.Caption:=IntToStr(min);
   Label2.Caption:=IntToStr(max);
   Label4.Caption:=Form3.Caption;
end;

procedure TForm3.TrackBar1Change(Sender: TObject);
begin
   Label3.Caption:=IntToStr(TRackBar1.Position);
end;

procedure TForm3.TrackBar1Exit(Sender: TObject);
begin
   wert:=TrackBar1.Position;
end;

end.

